package DC;

import java.util.*;
import javax.swing.JOptionPane;

import cytoscape.CyNetwork;
import cytoscape.CyNode;
import cytoscape.Cytoscape;
import cytoscape.giny.CytoscapeRootGraph;
import cytoscape.view.CyNetworkView;
import giny.view.NodeView;
import java.text.DecimalFormat;

public class ANIP{
    private CyNetworkView view;
    private CytoscapeRootGraph root;
    private NodeView nodeView;
    private CyNetwork network;
    public String ANIPSaveData;

    public void ANIPcalc(){

        network = Cytoscape.getCurrentNetwork();
        view = Cytoscape.getCurrentNetworkView();
        root = Cytoscape.getRootGraph();
        ANIPSaveData = "";

        List nodeList = root.nodesList();
        double N = nodeList.size();
        int degree = 0;
        double sumDeg = 0.0;
        double avDeg = 0.0;

        //Iterate through all nodes and sum degrees
        for (Iterator iter = nodeList.iterator(); iter.hasNext();) {
                CyNode Node = (CyNode) iter.next();
                degree = root.getDegree(Node);
                sumDeg += degree;

        }
        //Calculate average degree
        avDeg = sumDeg/N;

        DecimalFormat df = new DecimalFormat("#.###");

        JOptionPane.showMessageDialog(Cytoscape.getDesktop(), "Average Number of Interaction Partners: " + df.format(avDeg));

        //Save Data
        ANIPSaveData = "Average Number of Interaction Partners: " + avDeg;
        SaveData SDobj = new SaveData();
        SDobj.WriteFile(ANIPSaveData);
    }
}
