package DC;

import cytoscape.CyNetwork;
import cytoscape.Cytoscape;
import cytoscape.giny.CytoscapeRootGraph;
import cytoscape.view.CyNetworkView;
import giny.model.Node;
import giny.view.NodeView;
import java.awt.Color;
import java.util.Iterator;
import javax.swing.JOptionPane;

public class ColorReset {
    private CyNetworkView view;
    private CytoscapeRootGraph root;
    private NodeView nodeView;
    private CyNetwork network;

    public void resetNodeColor(){
        network = Cytoscape.getCurrentNetwork();
        view = Cytoscape.getCurrentNetworkView();
        root = Cytoscape.getRootGraph();

        int indexArray[] = root.getNodeIndicesArray();
        int colorIndex = 0;

        for(int j=0; j<indexArray.length; j++){
            colorIndex = indexArray[j];
            Node node = root.getNode(colorIndex); //Get node by index
            NodeView nodeView = view.getNodeView(node);
            nodeView.setUnselectedPaint(Color.PINK);
        }

        /*
                //Iterate through all node in network
                Iterator<Node> it = network.nodesIterator();
                //Do while there is a next node
                while (it.hasNext()) {
                    //Set node to next node in iterator
                    Node node = (Node) it.next();
                    nodeView.setUnselectedPaint(Color.PINK);
                }*/
                JOptionPane.showMessageDialog(Cytoscape.getDesktop(),
                        "Node colors have been reset.");
    }
}
