package DC;

import java.util.*;
import javax.swing.JOptionPane;

import cytoscape.CyNetwork;
import cytoscape.CyNode;
import cytoscape.Cytoscape;
import cytoscape.giny.CytoscapeRootGraph;
import cytoscape.view.CyNetworkView;
import giny.view.NodeView;
import java.text.DecimalFormat;

public class DegreeDistribution{
    private CyNetworkView view;
    private CytoscapeRootGraph root;
    private NodeView nodeView;
    private CyNetwork network;
    public String DDSaveData;

    public void DDcalc(){

        network = Cytoscape.getCurrentNetwork();
        view = Cytoscape.getCurrentNetworkView();
        root = Cytoscape.getRootGraph();
        DDSaveData = "";

        List nodeList = root.nodesList();
        double N = nodeList.size();
        int k = 0;
        int Nk = 0;
        int degree = 0;
        double Pk = 0;

        String input = JOptionPane.showInputDialog("Enter node degree");
        k = Integer.parseInt(input);

        //Iterate through all nodes and sum degrees
        for (Iterator iter = nodeList.iterator(); iter.hasNext();) {
            CyNode Node = (CyNode) iter.next();
            degree = root.getDegree(Node);
            if(degree == k){
                Nk += 1;
            }else{}
        }

        if(N == 0){
            Pk = 0; //Avoid divide by zero error for empty graphs
        }else{
            Pk = Nk/N;
        }

        DecimalFormat df = new DecimalFormat("#.###");

        JOptionPane.showMessageDialog(Cytoscape.getDesktop(), "Degree Distribution:\n" + "P(k) = " + df.format(Pk));

        //Save Data
        DDSaveData = "Degree Distribution("+k+"): " + df.format(Pk);
        SaveData SDobj = new SaveData();
        SDobj.WriteFile(DDSaveData);
    }
}
