package DC;

import csplugins.mcode.MCODEMainPanelAction;
import cytoscape.CyNetwork;
import giny.model.Node;
import java.awt.event.*;
import javax.swing.*;
import cytoscape.Cytoscape;
import cytoscape.giny.CytoscapeRootGraph;
import ding.view.*;
import giny.view.NodeView;
import java.awt.Color;
import java.util.Iterator;

public class MenuListener implements NodeContextMenuListener {
    public String TCSaveData;
       public void addNodeContextMenuItems(NodeView nodeView, JPopupMenu menu){
                //Name menu item
		JMenuItem myMenuItem01 = new JMenuItem("Shortest Path");
                JMenuItem myMenuItem02 = new JMenuItem("Critical Path");
                JMenuItem myMenuItem03 = new JMenuItem("All Paths");
                JMenuItem myMenuItem04 = new JMenuItem("Max Flow");
                JMenuItem myMenuItem05 = new JMenuItem("Mean Shortest Path");
                JMenuItem myMenuItem06 = new JMenuItem("Degree Distribution");
                JMenuItem myMenuItem07 = new JMenuItem("Average Number of Interaction Partners");
                JMenuItem myMenuItem08 = new JMenuItem("Clustering Coefficient");
                JMenuItem myMenuItem09 = new JMenuItem("Topological Coefficient");
                JMenuItem myMenuItem10 = new JMenuItem("Diameter of a Graph");
                JMenuItem myMenuItem11 = new JMenuItem("Degree Centrality");
                JMenuItem myMenuItem12 = new JMenuItem("RESET COLORS");
                //Attribute action to menu item
		myMenuItem01.addActionListener(new MyNodeAction01(nodeView));
                myMenuItem02.addActionListener(new MyNodeAction02(nodeView));
                myMenuItem03.addActionListener(new MyNodeAction03(nodeView));
                myMenuItem04.addActionListener(new MyNodeAction04(nodeView));
                myMenuItem05.addActionListener(new MyNodeAction05(nodeView));
                myMenuItem06.addActionListener(new MyNodeAction06(nodeView));
                myMenuItem07.addActionListener(new MyNodeAction07(nodeView));
                myMenuItem08.addActionListener(new MyNodeAction08(nodeView));
                myMenuItem09.addActionListener(new MyNodeAction09(nodeView));
                myMenuItem10.addActionListener(new MyNodeAction10(nodeView));
                myMenuItem11.addActionListener(new MyNodeAction11(nodeView));
                myMenuItem12.addActionListener(new MyNodeAction12(nodeView));

                        if (menu == null) {
                            menu = new JPopupMenu();
			}
                        //Add menu items to menu
			menu.add(myMenuItem01);
                        menu.add(myMenuItem02);
                        menu.add(myMenuItem03);
                        menu.add(myMenuItem04);
                        menu.add(myMenuItem05);
                        menu.add(myMenuItem06);
                        menu.add(myMenuItem07);
                        menu.add(myMenuItem08);
                        menu.add(myMenuItem09);
                        menu.add(myMenuItem10);
                        menu.add(myMenuItem11);
                        menu.add(myMenuItem12);
        }
}
//Class of action for menu item "Shortest Path"
class MyNodeAction01 implements ActionListener {
    NodeView nodeView;
        public MyNodeAction01(NodeView pNodeView) {
            nodeView = pNodeView;
	}
	public void actionPerformed(ActionEvent e) {

            ShortestPath SPobj = new ShortestPath();
            SPobj.result(false);
	}
}
//Class of action for menu item "Critical Path"
class MyNodeAction02 implements ActionListener {
    NodeView nodeView;
    CytoscapeRootGraph root;
        public MyNodeAction02(NodeView pNodeView) {
            nodeView = pNodeView;
	}
        public void actionPerformed(ActionEvent e) {

            CriticalPath CPobj = new CriticalPath();
            CPobj.result(false);
        }
}
//Class of action for menu item "All Paths"
class MyNodeAction03 implements ActionListener {
    NodeView nodeView;
        public MyNodeAction03(NodeView pNodeView) {
            nodeView = pNodeView;
	}
	public void actionPerformed(ActionEvent e) {

            AllPaths APobj = new AllPaths();
            APobj.result(false);
	}
}
//Class of action for menu item "Max Flow"
class MyNodeAction04 implements ActionListener {
    NodeView nodeView;
        public MyNodeAction04(NodeView pNodeView) {
            nodeView = pNodeView;
	}
	public void actionPerformed(ActionEvent e) {

            MaxFlow MFobj = new MaxFlow();
            MFobj.result(false);
	}
}
//Class of action for menu item "Mean Shortest Path"
class MyNodeAction05 implements ActionListener {
    NodeView nodeView;
        public MyNodeAction05(NodeView pNodeView) {
            nodeView = pNodeView;
	}
	public void actionPerformed(ActionEvent e) {

            MSP MSPobj = new MSP();
            MSPobj.result(false);
	}
}
//Class of action for menu item "Degree Distribution"
class MyNodeAction06 implements ActionListener {
    NodeView nodeView;
        public MyNodeAction06(NodeView pNodeView) {
            nodeView = pNodeView;
	}
	public void actionPerformed(ActionEvent e) {

            DegreeDistribution DDobj = new DegreeDistribution();
            DDobj.DDcalc();
	}
}
//Class of action for menu item "Average Number of Interaction Partners"
class MyNodeAction07 implements ActionListener {
    NodeView nodeView;
        public MyNodeAction07(NodeView pNodeView) {
            nodeView = pNodeView;
	}
	public void actionPerformed(ActionEvent e) {

            ANIP ANIPobj = new ANIP();
            ANIPobj.ANIPcalc();
	}
}
//Class of action for menu item "Clustering Coefficient"
class MyNodeAction08 implements ActionListener {
    NodeView nodeView;
        public MyNodeAction08(NodeView pNodeView) {
            nodeView = pNodeView;
	}
	public void actionPerformed(ActionEvent e) {

            MCODEMainPanelAction MCODE = new MCODEMainPanelAction();
            MCODE.actionPerformed(e);
	}
}
//Class of action for menu item "Topological Coefficient"
class MyNodeAction09 implements ActionListener {
    NodeView nodeView;
        public MyNodeAction09(NodeView pNodeView) {
            nodeView = pNodeView;
	}
	public void actionPerformed(ActionEvent e) {

            TopCoef TC = new TopCoef();
            TC.TCcalc();
	}
}
//Class of action for menu item "Diameter of a Graph"
class MyNodeAction10 implements ActionListener {
    NodeView nodeView;
        public MyNodeAction10(NodeView pNodeView) {
            nodeView = pNodeView;
	}
	public void actionPerformed(ActionEvent e) {

            GraphDiameter GDobj = new GraphDiameter();
            GDobj.result(false);
	}
}
//Class of action for menu item "Degree Centrality"
class MyNodeAction11 implements ActionListener {
    NodeView nodeView;
        public MyNodeAction11(NodeView pNodeView) {
            nodeView = pNodeView;
	}
	public void actionPerformed(ActionEvent e) {

            DegreeCentrality DCobj = new DegreeCentrality();
            DCobj.DCcalc();
	}
}
//Class of action for menu item "Reset Colors"
class MyNodeAction12 implements ActionListener {
    NodeView nodeView;
        public MyNodeAction12(NodeView pNodeView) {
            nodeView = pNodeView;
	}
	public void actionPerformed(ActionEvent e) {

            ColorReset CRobj = new ColorReset();
            CRobj.resetNodeColor();
	}
}